Skip to main content
GET
Gets the content for a note.
Use this endpoint to get accumulated section content across ambient sessions in a note. If clinicians edit sections in a headed product such as the Web SDK, the response returns the latest edited section content. Use composition_id from Create ambient session as note_id.
  • Call this endpoint from your app when you need the full clinical note by note_id, including section edits clinicians made in a headed product such as the Web SDK, and content from every ambient session on that note.
  • Use Session content APIS only when you need content for one ambient session. For when to use session, note, or encounter APIs in your product, refer to Work with shared notes.

Code examples

Authorizations

sdp_suki_token
string
header
required

Suki access token (suki_token) from Login or Register. Expires after one hour.

Headers

sdp_provider_id
string

Optional for standard partners.

Required for:

  • Bearer authentication. Use the same provider_id returned by the Login or Register API.
  • Single Auth Token authentication. Include the same provider_id on every request as sdp_provider_id.
Example:

"provider-123"

Path Parameters

note_id
string
required

Note identifier. Use the composition_id returned from Ambient session create (same value as note ID for note-level APIs).

Response

Success Response

Accumulated note content across sessions in the note. For sections that were edited (for example in Web SDK), returns the latest edited section content.

summary
object[]

Summary of the note (section content blocks rendered from the composition).

Last modified on August 20, 2026